org.gcube.dataanalysis.dataminer.poolmanager.util

## Class NotificationHelper

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.util.NotificationHelper

    public class NotificationHelper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`NotificationHelper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFailedBody(String message)`
`String` `getFailedSubject()`
`String` `getFailedSubjectRelease()`
`String` `getSuccessBody(String info)`
`String` `getSuccessSubject()`
`String` `getSuccessSubjectRelease()`
`void` `setExecutionException(Exception executionException)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NotificationHelper

    public NotificationHelper()

### Method Detail

#### setExecutionException

    public void setExecutionException(Exception executionException)

#### getSuccessSubject

    public String getSuccessSubject()

#### getSuccessSubjectRelease

    public String getSuccessSubjectRelease()

#### getFailedSubjectRelease

    public String getFailedSubjectRelease()

#### getFailedSubject

    public String getFailedSubject()

#### getSuccessBody

    public String getSuccessBody(String info)

#### getFailedBody

    public String getFailedBody(String message)